package com.hzya.frame.sys.userTemplateView.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.userTemplateView.dao.IUserTemplateViewMapper;
import com.hzya.frame.sys.userTemplateView.entity.UserTemplateView;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 用户模板视图展示表  dao
 * @tableName: sys_user_template_view
 * @entityName: UserTemplateView
 * @author: gjh
 * @history:1.0
 */
@Service
public class UserTemplateViewMapperImpl extends MybatisGenericDao<UserTemplateView, String> implements IUserTemplateViewMapper {

    @Override
    public UserTemplateView entity_get(String id) {

        UserTemplateView o = (UserTemplateView) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<UserTemplateView> entity_list_base(UserTemplateView entity) {
        List<UserTemplateView> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(UserTemplateView entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;
    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<UserTemplateView> entity_list_like(UserTemplateView entity) {

        List<UserTemplateView> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<UserTemplateView> entity_list_or(UserTemplateView entity) {

        List<UserTemplateView> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(UserTemplateView entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(UserTemplateView entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(UserTemplateView entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(UserTemplateView entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;
    }

    //物理删除
    @Override
    public Integer entity_delete(UserTemplateView entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
